/**
 * Node Recur JS
 */

(function ($, Drupal, window, document, undefined) {

  $(document).ready(function () {
    var recur_settings = Drupal.settings.node_recur;
    // Helper code to make the date repeat field UX a little friendlier
    $("input[name*='" + recur_settings.field_name + "[und][0][rrule][count_child]'").focus(function () {
      $("#edit-recur-start-field-und-0-rrule-range-of-repeat-count").prop('checked', true);
    });
    $("input[name*='" + recur_settings.field_name + "[und][0][rrule][until_child][datetime][date]']").focus(function () {
      $("#edit-recur-start-field-und-0-rrule-range-of-repeat-until").prop('checked', true);
    });

    // Clear values when different frequency options are selected & set defaults based on start date
    $("select#edit-recur-start-field-und-0-rrule-freq").change(function () {
      node_recur_clear($(this).val().toLowerCase());
    });
    node_recur_clear($(this).val().toLowerCase());
  });

  function node_recur_clear(freq) {
    var recur_settings = Drupal.settings.node_recur;
    var divs = ['daily', 'weekly', 'monthly', 'yearly'];
    if (freq) {
      var divs = [freq];
    }

    // Clear all
    $.each(divs, function (k, opt) {
      // Clear text
      $("div." + opt).find("input[id^='edit-recur-start-field'][type='text']").val('');
      // Clear checkboxes/radios
      $("div." + opt).find("input[id^='edit-recur-start-field']:checked").attr('checked', false);
    });

    var freq = $("select#edit-recur-start-field-und-0-rrule-freq").val();
    // set defaults
    switch (freq.toLowerCase()) {
      case 'daily':
        $("input[id$='daily-interval-child']").val('1');
        break;
      case 'weekly':
        $("input[id$='weekly-interval']").val('1');
        // JS Compatibility
        var dow = $("input[id$='weekly-byday-" + recur_settings['dow'] + "']");
        if ($('body').jquery <= '1.6') {
          dow.attr('checked', true);
        } else {
          dow.prop('checked', true);
        }
        break;
      case 'monthly':
        $("select[id$='monthly-bymonthday-bymonth-child-bymonthday']").val(recur_settings['day']);
        $("select[id$='monthly-byday-bymonth-child-byday-day']").val(recur_settings['dow'].toUpperCase());
        break;
      case 'yearly':
        $("input[id$='yearly-interval']").val('1');
        $("select[id$='yearly-bymonthday-bymonth-child-bymonthday']").val(recur_settings['day']);
        $("select[id$='yearly-byday-bymonth-child-byday-day']").val(recur_settings['dow'].toUpperCase());
        // JS Compatibility
        var month_day = $("input[id$='yearly-bymonthday-bymonth-child-bymonth-" + recur_settings['month'] + "']");
        var by_day = $("input[id$='yearly-byday-bymonth-child-bymonth-" + recur_settings['month'] + "']");
        if ($('body').jquery <= '1.6') {
          month_day.attr('checked', true);
          by_day.attr('checked', true);
        } else {
          month_day.prop('checked', true);
          by_day.prop('checked', true);
        }
        break;
    }

  }

})(jQuery, Drupal, this, this.document);

